import NextHead from 'components/NextHead'
import type { NextPage } from 'next'
import Link from 'next/link'
import useTranslation from 'next-translate/useTranslation'
import { FiGithub } from 'react-icons/fi'

const Home: NextPage = () => {
  const { t } = useTranslation()

  return (
    <main className='flex min-h-screen max-w-full flex-col items-center justify-center bg-gradient-to-br from-primary to-secondary'>
      <NextHead />

      <p className='px-3 text-center text-4xl italic text-white'>
        {t('home:title')} <br />
        <span className='px-3 text-center text-lg italic text-white opacity-90'>
          {t('home:subtitle')}
        </span>
      </p>

      <Link href='https://github.com/Walidoux/next-app-boilerplate'>
        <a className='mt-7 flex cursor-pointer items-center justify-center rounded-xl border-none bg-white bg-none py-[10px] px-6 font-semibold text-black no-underline outline-none transition duration-300 hover:bg-black hover:text-white'>
          <FiGithub fontSize={20} />
          <span className='ml-3'>{t('common:repo-github')}</span>
        </a>
      </Link>
    </main>
  )
}

export default Home
